Page MenuHomePhabricator

Rename $wmf* to $wmg* in wmf-config
Closed, ResolvedPublic

Description

With https://gerrit.wikimedia.org/r/#/c/39056/ we renamed the old $realm to $wmfRealm. Tim mentioned:

It should be $wmgRealm, for consistency with other globals.
wmg = Wikimedia global, wmf = Wikimedia function.

We probably want to do that after the EQIAD migration though.

We can find them in operations/mediawiki-config with:

git grep -h -o -P '\$wmf.+?\b'|sort|uniq -c|sort -rn

As of Feb 4th 2020 we had:

57 $wmfConfigDir
53 $wmfRealm
36 $wmfAllServices
34 $wmfSwiftConfig
32 $wmfDatacenter
24 $wmfLocalServices
22 $wmfMasterDatacenter
15 $wmfHostnames
13 $wmfStandardAutoPromote
11 $wmfDbconfigFromEtcd
10 $wmfUdp2logDest
 6 $wmfSwiftShardLocal
 6 $wmfServiceConfig
 5 $wmfSwiftShardCommon
 5 $wmfPhabricatorApiToken
 4 $wmfMasterServices
 4 $wmfGerritApiUser
 4 $wmfGerritApiPassword
 3 $wmfSwiftBigWikis
 3 $wmfEtcdLastModifiedIndex
 1 $wmfUseRestbaseVRS

Details

Reference
bz43956
ProjectBranchLines +/-Subject
operations/mediawiki-configmaster+0 -3
operations/mediawiki-configmaster+31 -31
operations/mediawiki-configmaster+6 -3
operations/mediawiki-configmaster+2 -3
operations/mediawiki-configmaster+7 -7
operations/mediawiki-configmaster+4 -4
operations/mediawiki-configmaster+1 -1
operations/mediawiki-configmaster+3 -3
operations/mediawiki-configmaster+1 -1
operations/mediawiki-configmaster+9 -9
operations/mediawiki-configmaster+3 -2
operations/mediawiki-configmaster+5 -2
operations/mediawiki-configmaster+1 -4
operations/mediawiki-configmaster+40 -40
operations/mediawiki-configmaster+5 -5
operations/mediawiki-configmaster+1 -4
operations/mediawiki-configmaster+26 -26
operations/mediawiki-configmaster+12 -9
operations/mediawiki-configmaster+1 -1
operations/mediawiki-configmaster+3 -11
operations/mediawiki-configmaster+6 -9
operations/mediawiki-configmaster+10 -10
operations/mediawiki-configmaster+34 -34
operations/puppetproduction+0 -3
operations/mediawiki-configmaster+21 -21
operations/mediawiki-configmaster+21 -21
operations/mediawiki-configmaster+32 -34
operations/puppetproduction+3 -0
operations/mediawiki-configmaster+9 -6
operations/mediawiki-configmaster+6 -7
operations/mediawiki-configmaster+12 -12
operations/mediawiki-configmaster+8 -7
operations/mediawiki-configmaster+13 -13
operations/mediawiki-configmaster+4 -7
operations/mediawiki-configmaster+51 -51
operations/mediawiki-configmaster+14 -14
operations/mediawiki-configmaster+6 -3
operations/mediawiki-configmaster+4 -4
operations/mediawiki-configmaster+17 -11
operations/mediawiki-configmaster+16 -16
operations/mediawiki-configmaster+51 -51
operations/mediawiki-configmaster+56 -56
mediawiki/extensions/WikimediaMaintenancemaster+7 -7
mediawiki/extensions/WikimediaMessagesmaster+3 -3
operations/mediawiki-configmaster+3 -3
operations/mediawiki-configmaster+219 -233
operations/mediawiki-configmaster+311 -311
mediawiki/extensions/WikimediaMaintenancewmf/1.26wmf18+6 -6
operations/mediawiki-configmaster+13 -13
mediawiki/extensions/WikimediaMaintenancewmf/1.26wmf17+6 -6
mediawiki/extensions/WikimediaMaintenancemaster+6 -6
Show related patches Customize query in gerrit

Revisions and Commits

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 761965 merged by jenkins-bot:

[operations/mediawiki-config@master] wmf-config: Use __DIR__ instead of "$IP/../wmf-config"

https://gerrit.wikimedia.org/r/761965

Mentioned in SAL (#wikimedia-operations) [2022-03-10T17:41:44Z] <dancy@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:761965|wmf-config: Use DIR instead of "$IP/../wmf-config" (T45956)]] (duration: 00m 50s)

Change 769750 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] wikitech: migrate wmf* to wmg*

https://gerrit.wikimedia.org/r/769750

Change 769760 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] wikitech: migrate wmf* to wmg*

https://gerrit.wikimedia.org/r/769760

Change 769760 abandoned by Zabe:

[operations/mediawiki-config@master] wikitech: migrate wmf* to wmg*

Reason:

https://gerrit.wikimedia.org/r/769760

Change 770102 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/puppet@production] wikitech_private: stop writing to wmf* constants

https://gerrit.wikimedia.org/r/770102

Change 769750 merged by jenkins-bot:

[operations/mediawiki-config@master] wikitech: migrate wmf* to wmg*

https://gerrit.wikimedia.org/r/769750

Mentioned in SAL (#wikimedia-operations) [2022-03-14T13:10:58Z] <urbanecm@deploy1002> Synchronized wmf-config/wikitech.php: 95f376a: wikitech: migrate wmf* to wmg* (T45956) (duration: 00m 48s)

Change 770102 merged by RLazarus:

[operations/puppet@production] wikitech_private: stop writing to wmf* constants

https://gerrit.wikimedia.org/r/770102

Change 768254 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate wmfDatacenter(s) to wmgDatacenter(s)

https://gerrit.wikimedia.org/r/768254

Mentioned in SAL (#wikimedia-operations) [2022-03-16T20:11:24Z] <urbanecm@deploy1002> Synchronized wmf-config/: f649199: Migrate wmfDatacenter(s) to wmgDatacenter(s) (T45956; 1/3) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-16T20:12:14Z] <urbanecm@deploy1002> Synchronized multiversion/: f649199: Migrate wmfDatacenter(s) to wmgDatacenter(s) (T45956; 2/3) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-16T20:13:04Z] <urbanecm@deploy1002> Synchronized docroot/noc/db.php: f649199: Migrate wmfDatacenter(s) to wmgDatacenter(s) (T45956; 3/3) (duration: 00m 49s)

Change 771469 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Stop writing to $wmfDatacenter(s)

https://gerrit.wikimedia.org/r/771469

Change 768256 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate away from $wmfDbconfigFromEtcd

https://gerrit.wikimedia.org/r/768256

Mentioned in SAL (#wikimedia-operations) [2022-03-21T20:28:59Z] <urbanecm@deploy1002> Synchronized wmf-config/etcd.php: 3bcccdc: Migrate away from $wmfDbconfigFromEtcd (T45956; 1/2) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-21T20:29:50Z] <urbanecm@deploy1002> Synchronized docroot/noc/db.php: 3bcccdc: Migrate away from $wmfDbconfigFromEtcd (T45956; 2/2) (duration: 00m 50s)

Change 771469 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to $wmfDatacenter(s)

https://gerrit.wikimedia.org/r/771469

Mentioned in SAL (#wikimedia-operations) [2022-03-24T13:15:13Z] <reedy@deploy1002> Synchronized tests/: T45956 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2022-03-24T13:23:45Z] <reedy@deploy1002> Synchronized multiversion/: T45956 (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-24T13:26:02Z] <reedy@deploy1002> Synchronized wmf-config/CommonSettings.php: T45956 (duration: 00m 49s)

Change 773602 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Use $wmgUseRestbaseVRS in comment

https://gerrit.wikimedia.org/r/773602

Change 773607 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to $wmgAllServices the same value as to $wmfAllServices

https://gerrit.wikimedia.org/r/773607

Change 773608 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Migrate $wmfAllServices to $wmgAllServices

https://gerrit.wikimedia.org/r/773608

Change 773609 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Stop writing to $wmfAllServices

https://gerrit.wikimedia.org/r/773609

Change 773602 merged by jenkins-bot:

[operations/mediawiki-config@master] Use $wmgUseRestbaseVRS in comment

https://gerrit.wikimedia.org/r/773602

Mentioned in SAL (#wikimedia-operations) [2022-03-24T20:08:18Z] <thcipriani@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:773602|Use $wmgUseRestbaseVRS in comment (T45956)]] (duration: 01m 05s)

Change 768255 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to certain $wmf* global variables

https://gerrit.wikimedia.org/r/768255

Mentioned in SAL (#wikimedia-operations) [2022-03-24T20:28:30Z] <thcipriani@deploy1002> Synchronized tests: Config: [[gerrit:768255|Stop writing to certain $wmf* global variables (T45956)]] (part I) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-24T20:29:58Z] <thcipriani@deploy1002> Synchronized docroot/noc/db.php: Config: [[gerrit:768255|Stop writing to certain $wmf* global variables (T45956)]] (part II) (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2022-03-24T20:31:30Z] <thcipriani@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:768255|Stop writing to certain $wmf* global variables (T45956)]] (part 3) (duration: 00m 55s)

Change 773607 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to $wmgAllServices the same value as to $wmfAllServices

https://gerrit.wikimedia.org/r/773607

Mentioned in SAL (#wikimedia-operations) [2022-03-24T20:43:46Z] <thcipriani@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:773607|Start writing to $wmgAllServices the same value as to $wmfAllServices (T45956)]] (duration: 01m 17s)

Change 774019 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Migrate $wmfServiceConfig to $wmgServiceConfig

https://gerrit.wikimedia.org/r/774019

Change 773608 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate $wmfAllServices to $wmgAllServices

https://gerrit.wikimedia.org/r/773608

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:53:42Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/CirrusSearch-production.php: Config: [[gerrit:773608|Migrate $wmfAllServices to $wmgAllServices (T45956)]] (1/5) (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:54:56Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:773608|Migrate $wmfAllServices to $wmgAllServices (T45956)]] (2/5) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:56:10Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/filebackend.php: Config: [[gerrit:773608|Migrate $wmfAllServices to $wmgAllServices (T45956)]] (3/5) (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:57:35Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/CirrusSearch-labs.php: Config: [[gerrit:773608|Migrate $wmfAllServices to $wmgAllServices (T45956)]] (4/5, prod noop) (duration: 01m 07s)

Mentioned in SAL (#wikimedia-operations) [2022-03-28T13:58:53Z] <lucaswerkmeister-wmde@deploy1002> Synchronized wmf-config/CommonSettings-labs.php: Config: [[gerrit:773608|Migrate $wmfAllServices to $wmgAllServices (T45956)]] (5/5, prod noop) (duration: 01m 04s)

Change 774497 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to $wmgLocalServices the same value as to $wmfLocalServices

https://gerrit.wikimedia.org/r/774497

Change 774499 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Migrate $wmfLocalServices to $wmgLocalServices

https://gerrit.wikimedia.org/r/774499

Change 774500 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Stop writing to $wmfLocalServices

https://gerrit.wikimedia.org/r/774500

Change 773609 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to $wmfAllServices

https://gerrit.wikimedia.org/r/773609

Mentioned in SAL (#wikimedia-operations) [2022-03-28T20:22:42Z] <urbanecm@deploy1002> Synchronized wmf-config/CommonSettings.php: dfa963895f39760b647be5507c7f74ec3489cd22: Stop writing to $wmfAllServices (T45956) (duration: 00m 55s)

Change 774019 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate $wmfServiceConfig to $wmgServiceConfig

https://gerrit.wikimedia.org/r/774019

Change 774497 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to $wmgLocalServices the same value as to $wmfLocalServices

https://gerrit.wikimedia.org/r/774497

Mentioned in SAL (#wikimedia-operations) [2022-03-31T20:16:07Z] <thcipriani@deploy1002> Synchronized wmf-config/PhpAutoPrepend.php: Config: [[gerrit:774019|Migrate $wmfServiceConfig to $wmgServiceConfig (T45956)]] (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2022-03-31T20:22:38Z] <thcipriani@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:774497|Start writing to $wmgLocalServices the same value as to $wmfLocalServices (T45956)]] (duration: 00m 50s)

Change 774499 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate $wmfLocalServices to $wmgLocalServices

https://gerrit.wikimedia.org/r/774499

Mentioned in SAL (#wikimedia-operations) [2022-03-31T20:29:44Z] <thcipriani@deploy1002> Synchronized wmf-config: Config: [[gerrit:774499|Migrate $wmfLocalServices to $wmgLocalServices (T45956)]] (duration: 00m 51s)

Change 774500 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to $wmfLocalServices

https://gerrit.wikimedia.org/r/774500

Mentioned in SAL (#wikimedia-operations) [2022-03-31T20:36:58Z] <thcipriani@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:774500|Stop writing to $wmfLocalServices (T45956)]] (duration: 00m 50s)

Change 776253 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] tests: rename $wmfConfigDir to $configDir

https://gerrit.wikimedia.org/r/776253

Change 776254 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to $wmgUsingKubernetes the same value as to $wmfUsingKubernetes

https://gerrit.wikimedia.org/r/776254

Change 776255 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Migrate $wmfUsingKubernetes to $wmgUsingKubernetes

https://gerrit.wikimedia.org/r/776255

Change 776256 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Stop writing to $wmfUsingKubernetes

https://gerrit.wikimedia.org/r/776256

Change 776257 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to $wmgUdp2logDest the same value as to $wmfUdp2logDest

https://gerrit.wikimedia.org/r/776257

Change 776258 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Migrate $wmfUdp2logDest to $wmgUdp2logDest

https://gerrit.wikimedia.org/r/776258

Change 776259 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Stop writing to $wmfUdp2logDest

https://gerrit.wikimedia.org/r/776259

Change 776257 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to $wmgUdp2logDest the same value as to $wmfUdp2logDest

https://gerrit.wikimedia.org/r/776257

Mentioned in SAL (#wikimedia-operations) [2022-04-05T13:20:55Z] <taavi@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:776257|Start writing to $wmgUdp2logDest the same value as to $wmfUdp2logDest (T45956)]] (duration: 00m 54s)

Change 776253 merged by jenkins-bot:

[operations/mediawiki-config@master] tests: rename $wmfConfigDir to $configDir

https://gerrit.wikimedia.org/r/776253

Change 776254 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to $wmgUsingKubernetes the same value as to $wmfUsingKubernetes

https://gerrit.wikimedia.org/r/776254

Mentioned in SAL (#wikimedia-operations) [2022-04-06T13:20:50Z] <kartik@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:776254|Start writing to $wmgUsingKubernetes the same value as to $wmfUsingKubernetes (T45956)]] (duration: 00m 55s)

Change 778667 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Migrate $wmfConfigDir to $wmgConfigDir

https://gerrit.wikimedia.org/r/778667

Change 776255 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate $wmfUsingKubernetes to $wmgUsingKubernetes

https://gerrit.wikimedia.org/r/776255

Mentioned in SAL (#wikimedia-operations) [2022-04-11T20:11:11Z] <urbanecm@deploy1002> Synchronized wmf-config/: d4ff32f: Migrate $wmfUsingKubernetes to $wmgUsingKubernetes (T45956) (duration: 00m 53s)

Change 776256 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to $wmfUsingKubernetes

https://gerrit.wikimedia.org/r/776256

Mentioned in SAL (#wikimedia-operations) [2022-04-11T20:15:31Z] <urbanecm@deploy1002> Synchronized wmf-config/CommonSettings.php: 8455fa0: Stop writing to $wmfUsingKubernetes (T45956) (duration: 00m 51s)

Change 778667 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate $wmfConfigDir to $configDir

https://gerrit.wikimedia.org/r/778667

Mentioned in SAL (#wikimedia-operations) [2022-04-12T13:13:30Z] <urbanecm@deploy1002> Synchronized multiversion/buildConfigCache.php: 8b74b085704a75bd52d490fecfa8a8996f17ce89: Migrate $wmfConfigDir to $configDir (T45956) (duration: 00m 51s)

Will the work on this task also change the key wmfMasterDatacenter in siteinfo's ['query']['general']['wmf-config']?
If so please ping me when that will happen as I have to adjust spicerack accordingly.

It could, but it doesn't have to; it's this block in CommonSettings.php:

// Add some useful config data to query=siteinfo
$wgHooks['APIQuerySiteInfoGeneralInfo'][] = static function ( $module, &$data ) {
	global $wmgMasterDatacenter;
	global $wmgEtcdLastModifiedIndex;
	global $wmgCirrusSearchDefaultCluster;
	global $wgCirrusSearchDefaultCluster;
	$data['wmf-config'] = [
		'wmfMasterDatacenter' => $wmgMasterDatacenter,
		'wmfEtcdLastModifiedIndex' => $wmgEtcdLastModifiedIndex,
		'wmgCirrusSearchDefaultCluster' => $wmgCirrusSearchDefaultCluster,
		'wgCirrusSearchDefaultCluster' => $wgCirrusSearchDefaultCluster,
	];
};

The globals can be renamed, the API key doesn't have to be. Like already has seemingly been done with the wmfEtcdLastModifiedIndex has stayed the same, but the variable reference updated to go with the rename.

I do not plan to rename the API keys, as that is not backwards-compatible.

Perfect, thanks for clarifying.

Change 776258 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate $wmfUdp2logDest to $wmgUdp2logDest

https://gerrit.wikimedia.org/r/776258

Mentioned in SAL (#wikimedia-operations) [2022-04-13T13:27:00Z] <reedy@deploy1002> Synchronized wmf-config/: Migrate $wmfUdp2logDest to $wmgUdp2logDest - T45956 (duration: 00m 55s)

Change 779856 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Migrate $wmfSwiftConfig to $wmgSwiftConfig

https://gerrit.wikimedia.org/r/779856

Change 776259 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to $wmfUdp2logDest

https://gerrit.wikimedia.org/r/776259

Mentioned in SAL (#wikimedia-operations) [2022-04-14T20:08:29Z] <brennen@deploy1002> Synchronized wmf-config/CommonSettings.php: Config: [[gerrit:776259|Stop writing to $wmfUdp2logDest (T45956)]] (duration: 00m 48s)

Change 768259 merged by jenkins-bot:

[operations/mediawiki-config@master] Write the same value to wmgSwiftConfig as to wmfSwiftConfig

https://gerrit.wikimedia.org/r/768259

Mentioned in SAL (#wikimedia-operations) [2022-04-14T20:19:37Z] <cjming@deploy1002> Synchronized private/readme.php: Config: [[gerrit:768259|Write the same value to wmgSwiftConfig as to wmfSwiftConfig (T45956)]] (duration: 00m 48s)

Change 779856 merged by jenkins-bot:

[operations/mediawiki-config@master] Migrate $wmfSwiftConfig to $wmgSwiftConfig

https://gerrit.wikimedia.org/r/779856

Mentioned in SAL (#wikimedia-operations) [2022-04-14T20:26:03Z] <thcipriani@deploy1002> Synchronized wmf-config/filebackend.php: Config: [[gerrit:779856|Migrate $wmfSwiftConfig to $wmgSwiftConfig (T45956)]] (duration: 00m 49s)

Change 781058 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Stop writing to $wmfSwiftConfig

https://gerrit.wikimedia.org/r/781058

Change 781058 merged by jenkins-bot:

[operations/mediawiki-config@master] Stop writing to $wmfSwiftConfig

https://gerrit.wikimedia.org/r/781058